Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Get customer import

GET/workspaces/{organizationId}/customer-imports/{id}
Path parameters
organizationIdstringrequired
idstringrequired
Responses
200

Import receipt with per-row outcomes

idstringrequired
organizationIdstringrequired
sourcestring | nullrequired
corridorstring | nullrequired
totalintegerrequired
createdintegerrequired
existingintegerrequired
failedintegerrequired
createdByIdstring | nullrequired
createdAtstringrequired
rowsobject[]required
Show properties
Array of object
indexintegerrequired
externalIdstring | nullrequired
outcomestringrequired
Allowed:createdexistingfailed
customerIdstring
dealIdstring
errorstring
404

Import receipt not found

Try it
Server
Parameters
Request
curl -X GET '/workspaces/string/customer-imports/string' \
  -H 'Accept: application/json'
Response
{
  "id": "string",
  "organizationId": "string",
  "source": "string",
  "corridor": "string",
  "total": 0,
  "created": 0,
  "existing": 0,
  "failed": 0,
  "createdById": "string",
  "createdAt": "string",
  "rows": [
    {
      "index": 0,
      "externalId": "string",
      "outcome": "created",
      "customerId": "string",
      "dealId": "string",
      "error": "string"
    }
  ]
}

Was this page helpful?